# FoundationClasses
TKernel
TColStd

# TColStd_HSetOfInteger Class Reference

`#include <TColStd_HSetOfInteger.hxx>`

Inheritance diagram for TColStd_HSetOfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HSetOfInteger ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_Boolean | Add (const Standard_Integer &T)
Standard_Boolean | Remove (const Standard_Integer &T)
Standard_EXPORT Handle_TColStd_HSetOfInteger | Union (const Handle(TColStd_HSetOfInteger)&B) const
Standard_EXPORT Handle_TColStd_HSetOfInteger | Intersection (const Handle(TColStd_HSetOfInteger)&B) const
Standard_EXPORT Handle_TColStd_HSetOfInteger | Difference (const Handle(TColStd_HSetOfInteger)&B) const
Standard_Boolean | Contains (const Standard_Integer &T) const
Standard_Boolean | IsASubset (const Handle(TColStd_HSetOfInteger)&S) const
Standard_Boolean | IsAProperSubset (const Handle(TColStd_HSetOfInteger)&S) const
Standard_EXPORT Handle_TColStd_HSetOfInteger | ShallowCopy () const
const TColStd_SetOfInteger & | Set () const
TColStd_SetOfInteger & | ChangeSet ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SetOfInteger | mySet

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HSetOfInteger::TColStd_HSetOfInteger | ( |  | ) |

## Member Function Documentation

Standard_Boolean TColStd_HSetOfInteger::Add | ( | const Standard_Integer & | T | ) |

TColStd_SetOfInteger& TColStd_HSetOfInteger::ChangeSet | ( |  | ) |

void TColStd_HSetOfInteger::Clear | ( |  | ) |

Standard_Boolean TColStd_HSetOfInteger::Contains | ( | const Standard_Integer & | T | ) | const

Standard_EXPORT Handle_TColStd_HSetOfInteger TColStd_HSetOfInteger::Difference | ( | const Handle(TColStd_HSetOfInteger)& | B | ) | const

Standard_Integer TColStd_HSetOfInteger::Extent | ( |  | ) | const

Standard_EXPORT const TColStd_HSetOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Handle_TColStd_HSetOfInteger TColStd_HSetOfInteger::Intersection | ( | const Handle(TColStd_HSetOfInteger)& | B | ) | const

Standard_Boolean TColStd_HSetOfInteger::IsAProperSubset | ( | const Handle(TColStd_HSetOfInteger)& | S | ) | const

Standard_Boolean TColStd_HSetOfInteger::IsASubset | ( | const Handle(TColStd_HSetOfInteger)& | S | ) | const

Standard_Boolean TColStd_HSetOfInteger::IsEmpty | ( |  | ) | const

Standard_Boolean TColStd_HSetOfInteger::Remove | ( | const Standard_Integer & | T | ) |

const TColStd_SetOfInteger& TColStd_HSetOfInteger::Set | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSetOfInteger TColStd_HSetOfInteger::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSetOfInteger TColStd_HSetOfInteger::Union | ( | const Handle(TColStd_HSetOfInteger)& | B | ) | const

## Field Documentation

TColStd_SetOfInteger TColStd_HSetOfInteger::mySet `[private]`

The documentation for this class was generated from the following file:

- TColStd_HSetOfInteger.hxx